Bug 11458 - mechanism needed to control refresh url for ajax applications
mechanism needed to control refresh url for ajax applications
Status: RESOLVED WONTFIX
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: Travis Leithead [MSFT]
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-02 21:42 UTC by Dennis Andersen
Modified: 2013-02-08 23:59 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Andersen 2010-12-02 21:42:00 UTC
Often a web application will change states as the user works with it. If the user were to do a "refresh" in the browser, the state is generally lost unless the underlying javascript and/or server do a lot of work to keep track of this. The simplest method for doing this would be to tell the browser that if a refresh is done, it should go to a specific url other than the original. Obviously this could have big security implications so it would be reasonable to restrict the url to the current domain or even the current page (use '#' or '?' to get the server and javascript to get the correct state back).
Comment 1 Dennis Andersen 2010-12-02 21:46:12 UTC
Consider :

location.refreshUrl = '#page45';

This would affect the refresh so that when the browser effects a refresh, the refreshed url would be "http://www.somesite.com/ajaxPage.html#page45".
Comment 2 Ian 'Hixie' Hickson 2011-02-28 22:40:34 UTC
This is already possible with history.pushState() as far as I can tell.
Comment 3 Robin Berjon 2013-01-21 15:57:51 UTC
Mass move to "HTML WG"
Comment 4 Robin Berjon 2013-01-21 16:00:31 UTC
Mass move to "HTML WG"
Comment 5 Travis Leithead [MSFT] 2013-02-08 23:55:50 UTC
Started thread on public-html:
http://lists.w3.org/Archives/Public/public-html/2013Feb/0000.html
Comment 6 Travis Leithead [MSFT] 2013-02-08 23:59:41 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:


   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: No spec change
Rationale: Agreed with Maciej on the discussion at:
http://lists.w3.org/Archives/Public/public-html/2013Feb/0022.html